BASE64(1)

NAMN
base64 — base64-koda/-avkoda data och skriv till standard ut

SYNOPSIS
base64 [FLAGGA]… [FIL]

BESKRIVNING

Base64-koda eller -avkoda FIL, eller standard in, till standard ut.

Utan FIL, eller när FIL är -, läs standard in.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-d, --decode
    Avkoda data.

-i, --ignore-garbage
    Vid avkodning, bortse från ickealfabetiska tecken.

-w, --wrap=COLS
    Bryt kodade rader efter KOL tecken (76 som standard). Använd 0 för att slå av radbrytning.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Data kodas för base64-alfabetet enligt beskrivningen i RFC 4648. Vid avkodning kan indata innehålla nyradstecken förutom de byte som tillhör det egentliga base64-alfabetet. Använd --ignore-garbage för att försöka återhämta från tecken utanför alfabetet i den kodade strömmen.

UPPHOVSMAN
Skrivet av Simon Josefsson.

RAPPORTERA FEL
Rapportera fel till: <bug-coreutils@gnu.org>; rapportera synpunkter på översättningen till: <tp-sv@listor.tp-sv.se>.
GNU coreutils hemsida: <https://www.gnu.org/software/coreutils/>
Allmän hjälp med att använda GNU-program: <https://www.gnu.org/gethelp/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

SE ÄVEN
basenc(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/base64>
eller tillgängligt lokalt via: info '(coreutils) base64 invocation'

Paketerat av Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>
Detta är fri programvara: du får fritt ändra och vidaredistribuera den.
Det finns INGEN GARANTI, så långt lagen tillåter.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.